/* /Layout/MainLayout.razor.rz.scp.css */
.page[b-b78lq3jo30] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-b78lq3jo30] {
    flex: 1;
}

.sidebar[b-b78lq3jo30] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-b78lq3jo30] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-b78lq3jo30]  a, .top-row[b-b78lq3jo30]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-b78lq3jo30]  a:hover, .top-row[b-b78lq3jo30]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-b78lq3jo30]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-b78lq3jo30] {
        justify-content: space-between;
    }

    .top-row[b-b78lq3jo30]  a, .top-row[b-b78lq3jo30]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-b78lq3jo30] {
        flex-direction: row;
    }

    .sidebar[b-b78lq3jo30] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-b78lq3jo30] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-b78lq3jo30]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-b78lq3jo30], article[b-b78lq3jo30] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /MainComponents/SeriesTreeList.razor.rz.scp.css */
.menu-icon[b-g39vguqso5] {
    width: var(--dxbl-icon-width);
    height: var(--dxbl-icon-height);
    min-width: var(--dxbl-icon-width);
    min-height: var(--dxbl-icon-height);
    background-size: contain;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    background-position: center center;
    background-color: currentColor;
    opacity: 0.7;
}

.menu-icon-sort-by[b-g39vguqso5] {
    mask-image: var(--dxbl-icon-sort);
    -webkit-mask-image: var(--dxbl-icon-sort);
}

.menu-icon-copy[b-g39vguqso5] {
    mask-image: var(--dxbl-icon-copy);
    -webkit-mask-image: var(--dxbl-icon-copy);
}

.menu-icon-cut[b-g39vguqso5] {
    mask-image: var(--dxbl-icon-cut);
    -webkit-mask-image: var(--dxbl-icon-cut);
}

.menu-icon-clear[b-g39vguqso5] {
    mask-image: var(--dxbl-icon-dismiss);
    -webkit-mask-image: var(--dxbl-icon-dismiss);
}
/* /Pages/Home.razor.rz.scp.css */
.gridlayout-item[b-1xdcmctejp] {
    font-size: 1.2em;
    font-weight: 500;
    text-align: center;
    height: 100%;
    padding: 0.5rem;
    text-align: center;
    position: relative;
    z-index: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .gridlayout-item[b-1xdcmctejp]:before {
        content: " ";
        position: absolute;
        z-index: -1;
        width: 100%;
        height: 100%;
        left: 0;
        top: 0;
        opacity: 0.4;
    }

.gridlayout-header[b-1xdcmctejp]:before {
    background-color: var(--bs-red);
}

.gridlayout-content[b-1xdcmctejp]:before {
    background-color: var(--bs-yellow);
}

.gridlayout-left-side-bar[b-1xdcmctejp]:before {
    background-color: var(--bs-green);
}

.gridlayout-right-side-bar[b-1xdcmctejp]:before {
    background-color: var(--bs-info);
}

.gridlayout-footer[b-1xdcmctejp]:before {
    background-color: var(--bs-blue);
    opacity: 0.5;
}

@media (max-width: 575.98px) {
    .gridlayout-item[b-1xdcmctejp] {
        font-size: 0.9em;
    }
}
